<div class="share-credential">
  <div>
    <img ngSrc="../../../assets/share-icon-w.svg" width="90" height="90" alt="share did" />
  </div>
  <div>Share your credential information?</div>

  @if (isLoading$ | async) {
  <section class="spinner">
    <ion-spinner name="lines"></ion-spinner>
  </section>
  } @else { @if (pda1Observables.length > 0) {
  <div>Select credential to share</div>
  } @for (pda1 of pda1Observables; track $index) {
  <div>
    <esspass-web-wallet-share-credential
      [pdaId]="pda1.id"
      [index]="$index"
      [date]="pda1.date"
      [time]="pda1.time"
      [countryCode]="pda1.memberStateWhichLegislationApplies"
      [status]="status(pda1)"
      [governmentInstitution]="pda1.govInstitutionName"
      (sharedPda1IdEmitter)="onShare($event)"
      (sharedPda1CountryCodeEmitter)="onCountryCode($event)"
      (click)="selectCredential($index)">
    </esspass-web-wallet-share-credential>
  </div>
  } @empty {
  <div class="no-credentials empty">No credentials to share</div>
  } @if (selected) {
  <section id="sharing">
    <div>With</div>
    <div>
      <img src="https://flagsapi.com/{{ countryCode }}/flat/64.png" alt="national flag" />
      <span>Istituto nazionale della previdenza sociale</span>
    </div>
  </section>
  } }

  <div id="confirmation">
    <span>
      <ion-button id="cancel" fill="outline" shape="round" (click)="cancelSharingPda1Id()"
        >Cancel</ion-button
      >
      <ion-button id="confirm" shape="round" (click)="share()" disabled="{{ !selected }}"
        >Share</ion-button
      >
    </span>
  </div>
</div>
